cURL
curl --request POST \
--url https://aquila.attaxr.com/api/auth/change-email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newEmail": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({newEmail: '<string>'})
};
fetch('https://aquila.attaxr.com/api/auth/change-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/change-email"
payload = { "newEmail": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": true,
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"emailVerified": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>",
"role": "<string>",
"banned": false,
"banReason": "<string>",
"banExpires": "2023-11-07T05:31:56Z"
},
"message": "Email updated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Auth
Post apiauthchange email
POST
/
api
/
auth
/
change-email
cURL
curl --request POST \
--url https://aquila.attaxr.com/api/auth/change-email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"newEmail": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({newEmail: '<string>'})
};
fetch('https://aquila.attaxr.com/api/auth/change-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/auth/change-email"
payload = { "newEmail": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": true,
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"emailVerified": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"username": "<string>",
"displayUsername": "<string>",
"role": "<string>",
"banned": false,
"banReason": "<string>",
"banExpires": "2023-11-07T05:31:56Z"
},
"message": "Email updated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Personal API key sent as a bearer token.
Body
application/json

